package fr.mines_stetienne.ci.saref;

import org.slf4j.Logger;

import fr.mines_stetienne.ci.saref.entities.SAREFProject;
import fr.mines_stetienne.ci.saref.entities.SAREFRepository;

public class SAREFRepositoryErrorLogger extends SAREFErrorLogger {
	
	protected final SAREFRepository repository;
	protected final SAREFProject project;

	public SAREFRepositoryErrorLogger(SAREFPipeline pipeline, SAREFRepository repository, Logger logger) {
		super(pipeline, logger);
		this.repository = repository;
		this.project = repository.getProject();
	}

}
